/*
  LiquidCrystal Library 

 Demonstrates the use a 16x2 LCD display.  The LiquidCrystal
 library works with all LCD displays that are compatible with the
 Hitachi HD44780 driver. There are many of them out there, and you
 can usually tell them by the 16-pin interface.

 This sketch display a Animated Anemometer 
 on (Row0, Col0), --- (Row1,Col1)
 
 More info on custom icons at:
 https://www.engineersgarage.com/arduino/making-custom-characters-on-lcd-using-arduino/
 
 A useful tool to generate code for your visualisation is
 https://maxpromer.github.io/LCD-Character-Creator/

  
  
  The circuit:
 * LCD RS pin to digital pin 12
 * LCD Enable pin to digital pin 11
 * LCD D4 pin to digital pin 5
 * LCD D5 pin to digital pin 4
 * LCD D6 pin to digital pin 3
 * LCD D7 pin to digital pin 2
 * LCD R/W pin to ground
 * LCD VSS pin to ground
 * LCD VCC pin to 5V
 * 10K resistor:
 * ends to +5V and ground
 * wiper to LCD VO pin (pin 3)



 This example code is in the public domain.

 http://www.arduino.cc/en/Tutorial/LiquidCrystal
 */

// include the library code:
#include <LiquidCrystal.h>

//defining cup Anemometer
// First Frame
byte wind1[] = {
  B00000,
  B00000,
  B00000,
  B00011,
  B00111,
  B00111,
  B00111,
  B00011
};

byte wind2[] = {
  B11111,
  B11111,
  B01110,
  B00000,
  B00000,
  B00000,
  B00000,
  B00000
};

byte wind3[] = {
  B00000,
  B00000,
  B00000,
  B00000,
  B00000,
  B01110,
  B11111,
  B11111
};

byte wind4[] = {
  B11000,
  B11100,
  B11100,
  B11100,
  B11000,
  B00000,
  B00000,
  B00000,
};


// Second Frame

byte wind5[] = {
  B00000,
  B00000,
  B00000,
  B00000,
  B01000,
  B11100,
  B11110,
  B01111
};

byte wind6[] = {
  B00001,
  B00011,
  B00111,
  B01111,
  B00110,
  B00000,
  B00000,
  B00000
};

byte wind7[] = {
  B00000,
  B00000,
  B00000,
  B01100,
  B11110,
  B11100,
  B11000,
  B10000
};

byte wind8[] = {
  B11110,
  B01111,
  B00111,
  B00010,
  B00000,
  B00000,
  B00000,
  B00000
};


// initialize the LCD library with the numbers of the interface pins
//LiquidCrystal lcd(12, 11, 5, 4, 3, 2); //Arduino Pinout
LiquidCrystal lcd(22,23,5,18,19,21); //ESP32 WEMO LOLIN V1 Pinout

void setup() {
  // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);
  // Print a message to the LCD.
  lcd.print("Weather Icons");
  //creating all the characters
  lcd.createChar(1 , wind1); //Numbering should start at 1, not 0
  lcd.createChar(2 , wind2);
  lcd.createChar(3 , wind3);
  lcd.createChar(4 , wind4);
  lcd.createChar(5 , wind5);
  lcd.createChar(6 , wind6);
  lcd.createChar(7 , wind7);
  lcd.createChar(8 , wind8);
  delay(3000);
}

void loop() {
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.write(1);
  lcd.setCursor(0,1);
  lcd.write(2);
  lcd.setCursor(1,0);
  lcd.write(3);
  lcd.setCursor(1,1);
  lcd.write(4);
  lcd.setCursor(3,0);
  lcd.print("Anemometer");
  lcd.setCursor(3,3);
  lcd.print("Animation");
  delay (200);
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.write(5);
  lcd.setCursor(0,1);
  lcd.write(6);
  lcd.setCursor(1,0);
  lcd.write(7);
  lcd.setCursor(1,1);
  lcd.write(8);
  lcd.setCursor(3,0);
  lcd.print("Anemometer");
  lcd.setCursor(3,3);
  lcd.print("Animation");
  delay (200);
}
 
